#ifndef EXPORT_H_
#define EXPORT_H_

#include <GosFx\GosFx.hpp>
#include <GosFx\Effect.hpp>
#include <MLR\MLR.hpp>
#include <MLR\MLRState.hpp>

void ExportEffect(FILE *fl,gosFX::Effect::Specification *spec,CString prefix="");
void ExportCurve(FILE *fl,gosFX::Curve *Curve,char *CurveName,CString prefix="");
void ExportState(FILE *fl,MidLevelRenderer::MLRState *State,char *Name,CString prefix="");
bool IsRootEffect(gosFX::Effect::Specification *spec);

#endif